package org.joget.tutorial;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.joget.api.model.ApiAuthenticatorAbstract;
import org.joget.apps.app.service.AppUtil;

//Extend Api Auth abstract class
public class BasicAuth extends ApiAuthenticatorAbstract {

    @Override
    public String getName() {
        return "Basic Authenticator";
    }

    @Override
    public String getVersion() {
        return "7.0-SNAPSHOT";
    }

    @Override
    public String getDescription() {
        return "This is a test dummy basic auth plugin.";
    }

    @Override
    public boolean authenticate(HttpServletRequest request, HttpServletResponse response) {
        String permission = getPropertyString("permission");
        
        if (permission.equalsIgnoreCase("true")) {
            return true;
        } else {
            return false;
        }
    }

    @Override
    public String getLabel() {
        return getName();
    }

    @Override
    public String getClassName() {
        return getClass().getName();
    }

    @Override
    public String getPropertyOptions() {
        return AppUtil.readPluginResource(getClassName(), "/properties/basicAuth.json", null, true, null);
    }   
}
